Bug 1348252 (CVE-2016-4431) - CVE-2016-4431 struts: Possible manipulation of return result and bypassing validation
Summary: CVE-2016-4431 struts: Possible manipulation of return result and bypassing va...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-4431
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 14:46 UTC by Adam Mariš
Modified: 2019-09-29 13:51 UTC (History)
7 users (show)

Fixed In Version: Struts 2.3.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:55:09 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-06-20 14:46:46 UTC
Using existing default method it can be possible to bypass internal security mechanism and manipulate return string which can leads to redirecting user to unvalidated location.

Affected versions: Struts 2.3.20 - Struts 2.3.28.1

External References:

https://struts.apache.org/docs/s2-040.html

Comment 1 gil cattaneo 2016-06-20 14:48:07 UTC
thanks for the information, but I remove from the CC list.

Comment 2 Chess Hazlett 2019-09-17 20:23:23 UTC
Statement:

A previous statement by Red Hat related to this CVE, prior to August 2019, said that Apache Struts 2 is not included in any Red Hat products. This earlier statement was incorrect. While Struts 2 is not actively compiled, shipped, used, or enabled in any Red Hat provided final products, and does not cause any vulnerability in the product, struts2-core jars have been included in some products' source code packages. The inclusion was part of an import of the Google Guice repository, which includes struts2-core. Customers that build artefacts from our source code could be at risk. Red Hat will remove these artefacts from source code in future releases.

The products that included the Struts 2 artefacts in their source jars:
Fuse Service Works 6.0.0
Single Sign On 7.3.0+

If you have used the source package from one of these products to build artefacts on your system, you should do the following to remove potentially affected jars:
1. Run 'find . -name struts2*.jar' under the source location
2. Remove any files found
This will not affect the product, as the jar is included with the source of google-guice, but no functionality requiring struts2 is implemented.


Note You need to log in before you can comment on or make changes to this bug.